/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.validaciones;

import com.cosmodas.validaciones.FacturaCuerpo;
import java.util.List;

/**
 *
 * @author informatica
 */
public class SpoolFactura {
    
    private String tipoDocumento;
    private String numeroNrc;
    private String numeroDocumento;
    private String fecha;
    private String salaDestino;
    private String consultorCodigo;
    private String duiCliente;
    private String nombreCliente;
    private String direccionCliente;
    private String territorio;
    private String diasPagos;    
    private String mensajeCliente;
    private String subTotal;
    private String totaComisionSinDescuento;
    private String usuario;
    private String descuentos;
    private String otrosDescuentos;
    private String totalPagar;
    private String puntosMes;
    private String puntosAnios;
    private String utilidad;
    private String pagoEnLetras;
    private String duiUsuario;
    private String nombreUsuario;
    private String pasan;
    private String vienen;
    private List<FacturaCuerpo> detalleFactura;

    public String getTipoDocumento() {
        return tipoDocumento;
    }

    public void setTipoDocumento(String tipoDocumento) {
        this.tipoDocumento = tipoDocumento;
    }

    public String getNumeroNrc() {
        return numeroNrc;
    }

    public void setNumeroNrc(String numeroNrc) {
        this.numeroNrc = numeroNrc;
    }

    public String getNumeroDocumento() {
        return numeroDocumento;
    }

    public void setNumeroDocumento(String numeroDocumento) {
        this.numeroDocumento = numeroDocumento;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    public String getSalaDestino() {
        return salaDestino;
    }

    public void setSalaDestino(String salaDestino) {
        this.salaDestino = salaDestino;
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getDuiCliente() {
        return duiCliente;
    }

    public void setDuiCliente(String duiCliente) {
        this.duiCliente = duiCliente;
    }

    public String getNombreCliente() {
        return nombreCliente;
    }

    public void setNombreCliente(String nombreCliente) {
        this.nombreCliente = nombreCliente;
    }

    public String getDireccionCliente() {
        return direccionCliente;
    }

    public void setDireccionCliente(String direccionCliente) {
        this.direccionCliente = direccionCliente;
    }

    public String getTerritorio() {
        return territorio;
    }

    public void setTerritorio(String territorio) {
        this.territorio = territorio;
    }

    public String getDiasPagos() {
        return diasPagos;
    }

    public void setDiasPagos(String diasPagos) {
        this.diasPagos = diasPagos;
    }

    public List<FacturaCuerpo> getDetalleFactura() {
        return detalleFactura;
    }

    public void setDetalleFactura(List<FacturaCuerpo> detalleFactura) {
        this.detalleFactura = detalleFactura;
    }

    public String getMensajeCliente() {
        return mensajeCliente;
    }

    public void setMensajeCliente(String mensajeCliente) {
        this.mensajeCliente = mensajeCliente;
    }

    public String getSubTotal() {
        return subTotal;
    }

    public void setSubTotal(String subTotal) {
        this.subTotal = subTotal;
    }

    public String getTotaComisionSinDescuento() {
        return totaComisionSinDescuento;
    }

    public void setTotaComisionSinDescuento(String totaComisionSinDescuento) {
        this.totaComisionSinDescuento = totaComisionSinDescuento;
    }

    public String getUsuario() {
        return usuario;
    }

    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }

    public String getDescuentos() {
        return descuentos;
    }

    public void setDescuentos(String descuentos) {
        this.descuentos = descuentos;
    }

    public String getOtrosDescuentos() {
        return otrosDescuentos;
    }

    public void setOtrosDescuentos(String otrosDescuentos) {
        this.otrosDescuentos = otrosDescuentos;
    }

    public String getTotalPagar() {
        return totalPagar;
    }

    public void setTotalPagar(String totalPagar) {
        this.totalPagar = totalPagar;
    }

    public String getPuntosMes() {
        return puntosMes;
    }

    public void setPuntosMes(String puntosMes) {
        this.puntosMes = puntosMes;
    }

    public String getPuntosAnios() {
        return puntosAnios;
    }

    public void setPuntosAnios(String puntosAnios) {
        this.puntosAnios = puntosAnios;
    }

    public String getUtilidad() {
        return utilidad;
    }

    public void setUtilidad(String utilidad) {
        this.utilidad = utilidad;
    }

    public String getPagoEnLetras() {
        return pagoEnLetras;
    }

    public void setPagoEnLetras(String pagoEnLetras) {
        this.pagoEnLetras = pagoEnLetras;
    }

    public String getDuiUsuario() {
        return duiUsuario;
    }

    public void setDuiUsuario(String duiUsuario) {
        this.duiUsuario = duiUsuario;
    }

    public String getNombreUsuario() {
        return nombreUsuario;
    }

    public void setNombreUsuario(String nombreUsuario) {
        this.nombreUsuario = nombreUsuario;
    }

    public SpoolFactura() {
    }
    

    
}
